Bug 1001574 - The instance base subscription still available to attach when the installed product status is "subscribed"
The instance base subscription still available to attach when the installed p...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Carter Kozak
IDM QE LIST
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 06:29 EDT by Liushihui
Modified: 2014-09-14 20:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-28 09:48:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Carter Kozak 2013-08-27 09:28:21 EDT
Why should the subscription no longer be available?  I don't believe that coverage has anything to do with availability, unless you're using the GUI and have the "no overlap with existing subscriptions" filter set.
Comment 2 Liushihui 2013-08-28 04:41:42 EDT
(In reply to Carter Kozak from comment #1)
> Why should the subscription no longer be available?  I don't believe that
> coverage has anything to do with availability, unless you're using the GUI
> and have the "no overlap with existing subscriptions" filter set.

If subscribe other subscription(not instance base or datacenter subscription) , it will no longer be available after subscribed , please see as the following:

1 Register to stage candlepin with username:stage_test_12 and password:redhat
[root@hp-z220-07 libvirt-test-API]# subscription-manager register --username=stage_test_12 --password=redhat
The system has been registered with ID: 91bb17aa-a0b9-4ba3-926b-9b18332ed372 

2 Check the avaiable subscriptions,it will display two subcriptions.
[root@hp-z220-07 libvirt-test-API]# subscription-manager list --available
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+
Subscription Name: Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
SKU:               RH0103708
Pool ID:           8a99f98340114f880140766376dc00cf
Quantity:          998
Service Level:     Premium
Service Type:      L1-L3
Multi-Entitlement: No
Ends:              07/24/2014
System Type:       Physical

Subscription Name: Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
SKU:               RH0103708
Pool ID:           8a99f9843c01ccba013c037bb23e0259
Quantity:          55
Service Level:     Premium
Service Type:      L1-L3
Multi-Entitlement: No
Ends:              12/31/2013
System Type:       Physical

3 Attach to one subscription.
[root@hp-z220-07 libvirt-test-API]# subscription-manager subscribe --pool=8a99f9843c01ccba013c037bb23e0259
Successfully attached a subscription for: Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)

4 Check the available subscription ,it will display one subscriptions.
[root@hp-z220-07 libvirt-test-API]# subscription-manager list --available
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+
Subscription Name: Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
SKU:               RH0103708
Pool ID:           8a99f98340114f880140766376dc00cf
Quantity:          998
Service Level:     Premium
Service Type:      L1-L3
Multi-Entitlement: No
Ends:              07/24/2014
System Type:       Physical


Result: The subscription which has been attached no longer display.

[Note]: The "Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)" also is the socket based subscription which the same as the instance base subscription and datacenter subscription.

Question: Is there any special with instance base subscription and datacenter subscription about there? if different subscription has different way, it may lead to confusion for customer , what's your opinion?
Comment 3 Carter Kozak 2013-08-28 09:48:27 EDT
Entitlements that aren't multi-entitlable can be attached once, and will cause an error message to be displayed if you attempt to attach them again.  So it is not actually available to be attached to my system the second time.  list --available currently only filters based on whether or not you can attach the subscription.

Note You need to log in before you can comment on or make changes to this bug.